> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--organization/types/inputs/invitation-input.md).

# invitationInput

Input parameters required to create a new organization invitation.

### Examples

```graphql
input InvitationInput {
  inviteeEmail: String!
  inviteeRoles: [String]!
  scopes: String
  invitationTTLSec: Int
}
```

### Fields

| Field                    | Description                                                                                                          | Supported fields |
| ------------------------ | -------------------------------------------------------------------------------------------------------------------- | ---------------- |
| inviteeEmail `String!`   | Email address of the person to invite                                                                                |                  |
| inviteeRoles `[String]!` | List of role identifiers to be assigned to the invitee upon acceptance                                               |                  |
| scopes `String`          | Permission scopes to be granted to the invitee upon acceptance                                                       |                  |
| invitationTTLSec `Int`   | Time-to-live for the invitation in seconds. Default is 7 days (604800 seconds), maximum is 30 days (2592000 seconds) |                  |

### References

#### Mutations using this object:

* [<\~> createInvitation.invitationInfo](/api-documentation/api-reference/api--organization/mutations/create-invitation.md)
* [<\~> createMultipleInvitations.invitationsInfo](/api-documentation/api-reference/api--organization/mutations/create-multiple-invitations.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--organization/types/inputs/invitation-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
